gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecGType

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for `GType` properties.

Since: 2.10

Synopsis

- newtype ParamSpecGType = ParamSpecGType (ManagedPtr ParamSpecGType)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecGType o) => IsParamSpecGType o
- toParamSpecGType :: (MonadIO m, IsParamSpecGType o) => o -> m ParamSpecGType

# Exported types

newtype ParamSpecGType Source #

Memory-managed wrapper type.

Constructors

ParamSpecGType (ManagedPtr ParamSpecGType) |

#### Instances

Instances details

Eq ParamSpecGType Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType Methods (==) :: ParamSpecGType -> ParamSpecGType -> Bool Source # (/=) :: ParamSpecGType -> ParamSpecGType -> Bool Source #
BoxedPtr ParamSpecGType Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType Methods boxedPtrCopy :: ParamSpecGType -> IO ParamSpecGType Source # boxedPtrFree :: ParamSpecGType -> IO () Source #
ManagedPtrNewtype ParamSpecGType Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType Methods toManagedPtr :: ParamSpecGType -> ManagedPtr ParamSpecGType Source #
TypedObject ParamSpecGType Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType Methods glibType :: IO GType Source #
HasParentTypes ParamSpecGType Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType
type ParentTypes ParamSpecGType Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType type ParentTypes ParamSpecGType = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecGType o) => IsParamSpecGType o Source #

Type class for types which can be safely cast to `ParamSpecGType`, for instance with `toParamSpecGType`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecGType o) => IsParamSpecGType o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecGType

toParamSpecGType :: (MonadIO m, IsParamSpecGType o) => o -> m ParamSpecGType Source #

Cast to `ParamSpecGType`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.